Conda problem/question

Skip Montanaro skip.montanaro at gmail.com
Fri Sep 18 22:13:50 CEST 2015


I was following along with Lex Hider's PyCon Au talk about Conda:

https://www.youtube.com/watch?v=Fqknoni5aX0

Everything was going swimmingly. I installed miniconda, tweaked PATH,
installed some of the other stuff he talked about, then did the pip command:

pip install theano keras tweepy word2vec

This hiccuped during the process because it wanted to install Cython and (I
think - it's now scrolled off the terminal window) h5py. It seems it tried
to build h5py before Cython, though h5py depends on Cython. Anyway, at the
end it told me it had installed everything, so I continued.

My next step was (deep breath):

conda install anaconda

which failed almost immediately with:

Error: Unsatisfiable package specifications.
Generating hint:
[      COMPLETE      ]|###################################################|
100%


Hint: the following packages conflict with each other:
  - anaconda
  - python 3.5*

So I presume I can't do the whole ball of wax because of the Python 3.5
install. I guess I should start from scratch...

There's not really a question there, but should I have known to leave off
the "python=3" arg when creating the environment? Would there have been a
way to figure out ahead of time that python=3 wouldn't work?

Thx,

Skip
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.python.org/pipermail/python-list/attachments/20150918/46d30eaf/attachment.html>


More information about the Python-list mailing list